<?php
/***************************************************************************
 *                           usercp_viewprofile.php
 *                            -------------------
 *   begin                : Saturday, Feb 13, 2001
 *   copyright            : (C) 2001 The phpBB Group
 *   email                : support@phpbb.com
 *
 *   $Id: usercp_viewprofile.php,v 1.5.2.6 2005/09/14 18:14:30 acydburn Exp $
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *
 ***************************************************************************/

if ( !defined('IN_PHPBB') )
{
	die("Hacking attempt");
	exit;
}



if ( empty($HTTP_GET_VARS[POST_USERS_URL]) || $HTTP_GET_VARS[POST_USERS_URL] == ANONYMOUS )
{
	message_die(GENERAL_MESSAGE, $lang['No_user_id_specified']);
}
$profiledata = get_userdata($HTTP_GET_VARS[POST_USERS_URL]);

// Album Pics
   $sql = "SELECT pic_username FROM " . $table_prefix.'album' . " WHERE pic_username='".$profiledata['username']."' AND pic_approval = 1"; 
	if ( !($query_result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, 'Could not obtain uploaded pics information', '', __LINE__, __FILE__, $sql);
	}
   $user_album_pics = 0; 
   $user_album_pics = $db->sql_numrows($query_result);
   if ( $user_album_pics > 0 )
   {
	   $template->assign_block_vars('switch_uploaded_album_pics', array());
   }
// Album Pics

//
// Buddylist actions
//
$buddy_id = ( isset($HTTP_GET_VARS['b']) ) ? intval($HTTP_GET_VARS['b']) : 0;
$buddy_action = ( isset($HTTP_GET_VARS['buddy']) ) ? $HTTP_GET_VARS['buddy'] : '';
if( $buddy_id && $buddy_action != '' )
{
	if( $buddy_action == 'add' )
	{
		add_buddy($userdata['user_id'], $buddy_id);
	}
	else if( $buddy_action == 'remove' )
	{
		remove_buddy($userdata['user_id'], $buddy_id);
	}
}
//
// END: Buddylist actions
//

//if ($profiledata['user_level'] == 1 && $userdata['user_level'] != ADMIN)
  // redirect(append_sid("index.$phpEx", true));

// Profile views MOD, By Manipe (Begin)
$current_time = time();
$delete_time = $current_time - 86400;

//
// Delete old entries
//
$sql = "DELETE FROM " . PROFILE_VIEWS_TABLE . "
	WHERE time < '$delete_time'";
if ( !($result = $db->sql_query($sql)) )
{
	message_die(GENERAL_ERROR, 'Could not update profile views', '', __LINE__, __FILE__, $sql);
}

//
// Find out if the same person has visited the same user profile
//
$sql = "SELECT ip_address
	FROM " . PROFILE_VIEWS_TABLE . "
	WHERE ip_address = '$user_ip'
		AND user_id = '" . $profiledata['user_id'] . "'";
if ( !($result = $db->sql_query($sql)) )
{
	message_die(GENERAL_ERROR, 'Could not update profile views', '', __LINE__, __FILE__, $sql);
}
$is_ip_there = $db->sql_fetchrow($result);
$db->sql_freeresult($result);

//
// If so, don't incriment the profile views counter
//
if ( empty($is_ip_there['ip_address'][0]))
{
	$sql = "INSERT INTO " . PROFILE_VIEWS_TABLE . " (user_id, time, ip_address)
		VALUES ('" . $profiledata['user_id'] . "', '$current_time', '$user_ip')";
	if ( !($result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, 'Could not update profile views', '', __LINE__, __FILE__, $sql);
	}

	$sql = "UPDATE " . USERS_TABLE . "
		SET user_profile_views = user_profile_views + 1
		WHERE user_id = '" . $profiledata['user_id'] . "'";
	if ( !($result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, 'Could not update profile views', '', __LINE__, __FILE__, $sql);
	}
}

//
// Retrieve the number of views
//
$sql = "SELECT user_profile_views
	FROM " . USERS_TABLE . "
	WHERE user_id = " . $profiledata['user_id'];
if ( !($result = $db->sql_query($sql)) )
{
	message_die(GENERAL_ERROR, 'Could not retreive profile views', '', __LINE__, __FILE__, $sql);
}
$row = $db->sql_fetchrow($result);
$total_profile_views =  ( $row['user_profile_views'] ) ? $row['user_profile_views'] : 0;
$db->sql_freeresult($result);
// Profile views MOD, By Manipe (End)

if (!$profiledata)
{
	message_die(GENERAL_MESSAGE, $lang['No_user_id_specified']);
}

// Directly delete avatar by mod or admin
if (isset($HTTP_GET_VARS['del_avatar']) && ($userdata['user_level'] == ADMIN || $userdata['user_level'] == MOD))
{
	$avatar_file = basename($profiledata['user_avatar']);

	if ($profiledata['user_avatar_type'] == USER_AVATAR_UPLOAD && $avatar_file != '')
	{
		if ( @file_exists(@phpbb_realpath('./' . $board_config['avatar_path'] . '/' . $avatar_file)) )
		{
			@unlink('./' . $board_config['avatar_path'] . '/' . $avatar_file);
		}
	}

	$sql = "UPDATE " . USERS_TABLE . "
		SET user_avatar = '', user_avatar_type = " . USER_AVATAR_NONE . "
		WHERE user_id = " . $profiledata['user_id'];
	$db->sql_query($sql);

	redirect(append_sid("profile.$phpEx?mode=viewprofile&" . POST_USERS_URL . "=" . $profiledata['user_id']));
}

$sql = "SELECT *
	FROM " . RANKS_TABLE . "
	ORDER BY rank_special, rank_min";
if ( !($result = $db->sql_query($sql)) )
{
	message_die(GENERAL_ERROR, 'Could not obtain ranks information', '', __LINE__, __FILE__, $sql);
}

$ranksrow = array();
while ( $row = $db->sql_fetchrow($result) )
{
	$ranksrow[] = $row;
}
$db->sql_freeresult($result);


//
// Group Icons MOD - Start
//

$sql = "SELECT g.group_icon, g.group_name, g.group_id
   FROM " . USER_GROUP_TABLE . " ug, " . GROUPS_TABLE . " g
   WHERE ug.group_id = g.group_id
      AND ug.user_id = " . $profiledata['user_id'] . "
      AND g.group_icon <> \"\"";
if ( !($result = $db->sql_query($sql)) )
{
   message_die(GENERAL_ERROR, "Could not obtain usergroup icon information.", '', __LINE__, __FILE__, $sql);
}

$group_icons = $db->sql_fetchrowset($result);
$db->sql_freeresult($result);
$total_group_icons = count($group_icons);

//
// Group Icons MOD - End
//


//--[ Extended Censoring Mod Start ]-----------------------------------------------------
// Define censored word matches
$orig_word = array();
$replacement_word = array();
obtain_word_list($orig_word, $replacement_word);
//--[ Extended Censoring Mod End ]-------------------------------------------------------

//
// Output page header and profile_view template
//
$template->set_filenames(array(
	'body' => 'profile_view_body.tpl')
);
make_jumpbox('viewforum.'.$phpEx);

//
// Calculate the number of days this user has been a member ($memberdays)
// Then calculate their posts per day
//
$regdate = $profiledata['user_regdate'];
$memberdays = max(1, round( ( time() - $regdate ) / 86400 ));
$posts_per_day = $profiledata['user_posts'] / $memberdays;

// Get the users percentage of total posts
if ( $profiledata['user_posts'] != 0  )
{
	$total_posts = get_db_stat('postcount');
	$percentage = ( $total_posts ) ? min(100, ($profiledata['user_posts'] / $total_posts) * 100) : 0;
}
else
{
	$percentage = 0;
}

$avatar_img = '';
if ( $profiledata['user_avatar_type'] && $profiledata['user_allowavatar'] )
{
	switch( $profiledata['user_avatar_type'] )
	{
		case USER_AVATAR_UPLOAD:
			$avatar_img = ( $board_config['allow_avatar_upload'] ) ? '<img src="' . $board_config['avatar_path'] . '/' . $profiledata['user_avatar'] . '" alt="" border="0" />' : '';
			break;
		case USER_AVATAR_REMOTE:
			$avatar_img = ( $board_config['allow_avatar_remote'] ) ? '<img src="' . $profiledata['user_avatar'] . '" alt="" border="0" />' : '';
			break;
		case USER_AVATAR_GALLERY:
			$avatar_img = ( $board_config['allow_avatar_local'] ) ? '<img src="' . $board_config['avatar_gallery_path'] . '/' . $profiledata['user_avatar'] . '" alt="" border="0" />' : '';
			break;
	}
}

// Directly delete avatar by mod or admin
if ($avatar_img && ($userdata['user_level'] == ADMIN || $userdata['user_level'] == MOD))
{
	$poster_id = $profiledata['user_id'];
	$avatar_img = '<a href="javascript:void(0);" onclick="javascript:if (confirm(\''.$lang['Delete_Image'].'?\')) top.location.href=\'' . append_sid("profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=$poster_id&amp;del_avatar=1") . '\';">' . $avatar_img . '</a>';
}

$poster_rank = '';
$rank_image = '';
if ( $profiledata['user_rank'] )
{
	for($i = 0; $i < count($ranksrow); $i++)
	{
		if ( $profiledata['user_rank'] == $ranksrow[$i]['rank_id'] && $ranksrow[$i]['rank_special'] )
		{
			$poster_rank = $ranksrow[$i]['rank_title'];
			$rank_image = ( $ranksrow[$i]['rank_image'] ) ? '<img src="' . $ranksrow[$i]['rank_image'] . '" alt="' . $poster_rank . '" title="' . $poster_rank . '" border="0" /><br />' : '';
		}
	}
}
else
{
	for($i = 0; $i < count($ranksrow); $i++)
	{
		if ( $profiledata['user_posts'] >= $ranksrow[$i]['rank_min'] && !$ranksrow[$i]['rank_special'] )
		{
			$poster_rank = $ranksrow[$i]['rank_title'];
			$rank_image = ( $ranksrow[$i]['rank_image'] ) ? '<img src="' . $ranksrow[$i]['rank_image'] . '" alt="' . $poster_rank . '" title="' . $poster_rank . '" border="0" /><br />' : '';
		}
	}
}

//
// Group Icons MOD - Start
//

$images_group_icons = '';
for($group_icon = 0; $group_icon < $total_group_icons; $group_icon++)
{
	$images_group_icons .= '<a href="groupcp.'.$phpEx.'?' . POST_GROUPS_URL . '=' . $group_icons[$group_icon]['group_id'] . '" title="' . $group_icons[$group_icon]['group_name'] . '"><img src="' . $group_icons[$group_icon]['group_icon'] . '" border="0" /></a>';
	
	// Zusatz tukki
	$selbe_group_vorhanden = 0;
	if ( $group_icons[$group_icon]['group_id'] == 79 ){
		 $selbe_group_vorhanden = 1;
	}
	
}

//
// Group Icons MOD - End
//

$temp_url = append_sid("privmsg.$phpEx?mode=post&amp;" . POST_USERS_URL . "=" . $profiledata['user_id']);
$pm_img = '<a href="' . $temp_url . '"><img src="' . $images['icon_pm'] . '" alt="' . $lang['Send_private_message'] . '" title="' . $lang['Send_private_message'] . '" border="0" /></a>';
$pm = '<a href="' . $temp_url . '">' . $lang['Send_private_message'] . '</a>';

if ( empty($userdata['user_id']) || ($userdata['user_id'] == ANONYMOUS) )
{
	if ( !empty($profiledata['user_viewemail']) )
	{
		$email_img = '<img src="' . $images['icon_email'] . '" alt="' . $lang['Hidden_email'] . '" title="' . $lang['Hidden_email'] . '" border="0" />';
	}
	else
	{
		$email_img = '&nbsp;';
	}
	$email = '&nbsp;';
}
else if ( !empty($profiledata['user_viewemail']) || $userdata['user_level'] == ADMIN )

{
	$email_uri = ( $board_config['board_email_form'] ) ? append_sid("profile.$phpEx?mode=email&amp;" . POST_USERS_URL .'=' . $profiledata['user_id']) : 'mailto:' . $profiledata['user_email'];

	$email_img = '<a href="' . $email_uri . '"><img src="' . $images['icon_email'] . '" alt="' . $lang['Send_email'] . '" title="' . $lang['Send_email'] . '" border="0" /></a>';
	$email = '<a href="' . $email_uri . '">' . $lang['Send_email'] . '</a>';
}
else
{
	$email_img = '&nbsp;';
	$email = '&nbsp;';
}

// first email protection Mod - Start
if ($userdata['user_level'] == ADMIN)
{
	$template->assign_block_vars('switch_first_email_protection', array());
}
// first email protection Mod - End



//
	// CBACK WebSite Censor Mod
	//
	$orig_word = array();
	$replacement_word = array();
	obtain_word_list($orig_word, $replacement_word);

	$webcensored = $profiledata['user_website'];

	if ( count($orig_word) )
	{
		$webcensored = preg_replace($orig_word, $replacement_word, $webcensored);
	}

	//--[ Extended Censoring Mod Start ]-----------------------------------------------------
$profiledata['user_email'] = preg_replace($orig_word, '', $profiledata['user_email']);
$profiledata['user_website'] = preg_replace($orig_word, $replacement_word, $profiledata['user_website']);
$profiledata['user_aim'] = preg_replace($orig_word, '',  $profiledata['user_aim']);
$profiledata['user_msnm'] = preg_replace($orig_word, '',  $profiledata['user_msnm']);
$profiledata['user_yim'] = preg_replace($orig_word, '',  $profiledata['user_yim']);
$profiledata['user_from'] = preg_replace($orig_word, '', $profiledata['user_from']);
$profiledata['user_occ'] = preg_replace($orig_word, '', $profiledata['user_occ']);
$profiledata['user_interests'] = preg_replace($orig_word, '', $profiledata['user_interests']);
$profiledata['user_infos'] = preg_replace($orig_word, '', $profiledata['user_infos']);
$profiledata['user_absence_text'] = preg_replace($orig_word, '', $profiledata['user_absence_text']);
//$profiledata['user_info_1'] = preg_replace($orig_word, '', $profiledata['user_info_1']); braucht eigenlich nicht kontrolliert zu werden, da ja vorgegeben
//--[ Extended Censoring Mod End ]-------------------------------------------------------


	$www_img = ( $webcensored ) ? '<a href="' . $webcensored . '" target="_userwww"><img src="' . $images['icon_www'] . '" alt="' . $lang['Visit_website'] . '" title="' . $lang['Visit_website'] . '" border="0" /></a>' : '&nbsp;';
	$www = ( $webcensored ) ? '<a href="' . $webcensored . '" target="_userwww">' . $webcensored . '</a>' : '&nbsp;';
	
	

if ( !empty($profiledata['user_icq']) )
{
	$icq_status_img = '<a href="http://wwp.icq.com/' . $profiledata['user_icq'] . '#pager"><img src="http://web.icq.com/whitepages/online?icq=' . $profiledata['user_icq'] . '&img=5" width="18" height="18" border="0" /></a>';
	$icq_img = '<a href="http://wwp.icq.com/scripts/search.dll?to=' . $profiledata['user_icq'] . '"><img src="' . $images['icon_icq'] . '" alt="' . $lang['ICQ'] . '" title="' . $lang['ICQ'] . '" border="0" /></a>';
	$icq =  '<a href="http://wwp.icq.com/scripts/search.dll?to=' . $profiledata['user_icq'] . '">' . $lang['ICQ'] . '</a>';
}
else
{
	$icq_status_img = '&nbsp;';
	$icq_img = '&nbsp;';
	$icq = '&nbsp;';
}

$aim_img = ( $profiledata['user_aim'] ) ? '<a href="aim:goim?screenname=' . $profiledata['user_aim'] . '&amp;message=Hello+Are+you+there?"><img src="' . $images['icon_aim'] . '" alt="' . $lang['AIM'] . '" title="' . $lang['AIM'] . '" border="0" /></a>' : '&nbsp;';
$aim = ( $profiledata['user_aim'] ) ? '<a href="aim:goim?screenname=' . $profiledata['user_aim'] . '&amp;message=Hello+Are+you+there?">' . $lang['AIM'] . '</a>' : '&nbsp;';

$msn_img = ( $profiledata['user_msnm'] ) ? $profiledata['user_msnm'] : '&nbsp;';
$msn = $msn_img;
$image_skype = ( $profiledata['user_skype'] ) ? '<a title="' . $lang['skype'] . '" href="javascript:;" onClick=\'window.open("'.append_sid('skype.'.$phpEx.'?u='.$profiledata['user_id']).'","gesamt","location=no,menubar=no,toolbar=no,scrollbars=auto,width=320,height=500,status=no",title="Skype")\'><img src="' . $images['skype_new'] . '" alt="' . $lang['skype'] . '" title="' . $lang['skype'] . '" border="0"></a>' : '&nbsp;';
$skype_user = ( $profiledata['user_skype'] ) ? '<a title="' . $lang['skype'] . '" href="javascript:;" onClick=\'window.open("'.append_sid('skype.'.$phpEx.'?u='.$profiledata['user_id']).'","gesamt","location=no,menubar=no,toolbar=no,scrollbars=auto,width=320,height=500,status=no",title="Skype")\'><img alt="' . $lang['skype'] . '" title="' . $lang['skype'] . '" src="http://mystatus.skype.com/smallicon/' . prepare_skype_http($profiledata['user_skype']) . '" border="0"></a>' : '&nbsp;';

$skype_img = ( $profiledata['user_skype'] ) ? '<a href="'.append_sid('skype.'.$phpEx.'?u='.$profiledata['user_id']).'" onclick="window.open(\''.append_sid('skype.'.$phpEx.'?u='.$profiledata['user_id']).'\', \'_phpbbskype\', \'HEIGHT=500,resizable=yes,scrollbars=auto,WIDTH=320\');return false;" target="_phpbbskype"><img src="' . $images['icon_skype'] . '" alt="' . $lang['skype'] . '" title="' . $lang['skype'] . '" border="0" /></a>' : '';
$skype = ( $profiledata['user_skype'] ) ? '<a href="'.append_sid('skype.'.$phpEx.'?u='.$profiledata['user_id']).'" onclick="window.open(\''.append_sid('skype.'.$phpEx.'?u='.$profiledata['user_id']).'\', \'_phpbbskype\', \'HEIGHT=500,resizable=yes,scrollbars=auto,WIDTH=320\');return false;" target="_phpbbskype">' . $lang['skype'] . '</a>' : '';

$yim_img = ( $profiledata['user_yim'] ) ? '<a href="http://edit.yahoo.com/config/send_webmesg?.target=' . $profiledata['user_yim'] . '&amp;.src=pg"><img src="' . $images['icon_yim'] . '" alt="' . $lang['YIM'] . '" title="' . $lang['YIM'] . '" border="0" /></a>' : '';
$yim = ( $profiledata['user_yim'] ) ? '<a href="http://edit.yahoo.com/config/send_webmesg?.target=' . $profiledata['user_yim'] . '&amp;.src=pg">' . $lang['YIM'] . '</a>' : '';

$temp_url = append_sid("search.$phpEx?search_author=" . urlencode($profiledata['username']) . "&amp;showresults=posts");
$search_img = '<a href="' . $temp_url . '"><img src="' . $images['icon_search'] . '" alt="' . sprintf($lang['Search_user_posts'], $profiledata['username']) . '" title="' . sprintf($lang['Search_user_posts'], $profiledata['username']) . '" border="0" /></a>';
$search = '<a href="' . $temp_url . '">' . sprintf($lang['Search_user_posts'], $profiledata['username']) . '</a>';

list($buddy_img, $buddy) = get_buddy_img($userdata['user_id'], $profiledata['user_id']);

$user_sig = '';
if ( $profiledata['user_attachsig'] && $board_config['allow_sig'] )
{
    include($phpbb_root_path . 'includes/bbcode.'.$phpEx);
    $user_sig = $profiledata['user_sig'];
    $user_sig_bbcode_uid = $profiledata['user_sig_bbcode_uid'];
	if ( $user_sig != '' )
    {
        if ( !$board_config['allow_html'] && $profiledata['user_allowhtml'] )
       	{
       		$user_sig = preg_replace('#(<)([\/]?.*?)(>)#is', "&lt;\\2&gt;", $user_sig);
       	}
    	if ( $board_config['allow_bbcode'] && $user_sig_bbcode_uid != '' )
   		{
   			$user_sig = ( $board_config['allow_bbcode'] ) ? bbencode_second_pass($user_sig, $user_sig_bbcode_uid) : preg_replace('/\:[0-9a-z\:]+\]/si', ']', $user_sig);
   		}
   		$user_sig = make_clickable($user_sig);

        if (!$userdata['user_allowswearywords'])
        {
            $orig_word = array();
            $replacement_word = array();
            obtain_word_list($orig_word, $replacement_word);
            $user_sig = preg_replace($orig_word, $replacement_word, $user_sig);
        }
        if ( $profiledata['user_allowsmile'] )
        {
            $user_sig = smilies_pass($user_sig);
        }
        $user_sig = str_replace("\n", "\n<br />\n", $user_sig);
    }
    $template->assign_block_vars('switch_user_sig_block', array());
}

if (($profiledata['user_session_time'] >= ( time() - 300 )) && ($profiledata['user_allow_viewonline']))
{
   $on_off_hidden = '<img src="' . $images['icon_online'] . '" alt="' . $lang['Online'] . '" title="' . $lang['Online'] . '" border="0" />';
}
else if (($profiledata['user_allow_viewonline']) == 0)
{
   if ($userdata['user_level'] == ADMIN || $userdata['user_level'] == MOD)
   {
      if ($profiledata['user_session_time'] >= ( time() - 900 ))
      {
         $on_off_hidden = '<img src="' . $images['icon_online'] . '" alt="' . $lang['Online'] . '" title="' . $lang['Online'] . '" border="0" />';
      }
      else
      {
         $on_off_hidden = '<img src="' . $images['icon_offline'] . '" alt="' . $lang['Offline'] . '" title="' . $lang['Offline'] . '" border="0" />';
      }
      $on_off_hidden.= ' <img src="' . $images['icon_hidden'] . '" alt="' . $lang['Hidden'] . '" title="' . $lang['Hidden'] . '" border="0" />';
   }
   else
   {
      $on_off_hidden = '';
   }
}
else
{
   $on_off_hidden = '<img src="' . $images['icon_offline'] . '" alt="' . $lang['Offline'] . '" title="' . $lang['Offline'] . '" border="0" />';
}

if ( $profiledata['user_session_time'] && (($profiledata['user_allow_viewonline']) || $userdata['user_level'] == ADMIN || $userdata['user_level'] == MOD))
{
   $last_online = create_date($board_config['default_dateformat'], $profiledata['user_session_time'], $board_config['board_timezone']);
}

// Start add - Birthday MOD
$this_year = create_date('Y', time(), $board_config['board_timezone']);
$this_date = create_date('md', time(), $board_config['board_timezone']);

if ($profiledata['user_birthday']!=999999)
{
	$user_birthday = realdate($lang['DATE_FORMAT'], $profiledata['user_birthday']);
	// show user age
    	$userbdate=realdate('md', $profiledata['user_birthday']);
    	$userbirthdate = $this_year - realdate ('Y',$profiledata['user_birthday']);
    	if ($this_date < $userbdate) $userbirthdate--;
	$userbirthdate = '&nbsp;(' . $userbirthdate . ' Jahre)';
} else
{
	$user_birthday = $lang['No_birthday_specify'];
	$userbirthdate = '';
}
// End add - Birthday MOD
// Start add - Gender MOD
$gender="";
if ( !empty($profiledata['user_gender'])) 
{ 
           //switch ($profiledata['user_gender']) 
           //{ 
             //         case 1: $gender=$lang['Male'];break; 
              //        case 2: $gender=$lang['Female'];break; 
              //        default:$gender=$lang['No_gender_specify']; 
           //} 
		  
			switch ($profiledata['user_gender']) 
			{ 
			case 1 : $gender = "<img src=\"" . $images['icon_minigender_male'] . "\" alt=\"".$lang['Male']."\" title=\"".$lang['Male']. "\" border=\"0\" />"; break; 
			case 2 : $gender = "<img src=\"" . $images['icon_minigender_female'] . "\" alt=\"".$lang['Female']. "\" title=\"".$lang['Female']. "\" border=\"0\" />"; break; 
			default : $gender=""; 
			} 
		
		   
		   
		   
		   
} else $gender=$lang['No_gender_specify']; 
// End add - Gender MOD
if ( $profiledata['user_absence'] == TRUE )
{
	$nothing = '';
	$absence_mode = create_absence_mode($profiledata['user_absence_mode'], $pm_img, $pm, $email_img, $email, $nothing, 2);
}

//
// START - MOD - Admin delete user with all postings v.1.0.5
//

$user_id=$userdata['user_id'];
if ( $userdata['user_level'] == ADMIN )
{
	$userdelete = "<form action=\"userdel.php\"" . " method=\"post\" name=\"del_user\">";
    {
	  $userdelete .= "<tr><td><select name=\"delete_mode\">
      <option value=\"1\">" . $lang['User_only'] ."</option>
      <option value=\"2\">" . $lang['User_and_topics'] . "</option>
      <option value=\"3\">" . $lang['User_and_all_postings'] . "</option>
      <option value=\"4\">" . $lang['User_stay_postings_delete'] . "</option>
      </select>";
			$userdelete .= "<input type=\"submit\" name=\"del_user\" class=\"mainoption\" value=\"" . $lang['Delete'] . "\" />";
			$userdelete .= "<input type=\"hidden\" name=\"user_deleted_id\" value=\"" . $profiledata['user_id'] . "\" />";
	}
	$userdelete .= "</form>";

	 $template->assign_block_vars("admin_delete_this_user", array(
          'DELETE_USER_FORM' => $userdelete
          ));
}
//
// END -  MOD - Admin delete user with all postings v.1.0.5
//

//
// Generate page
//
$page_title = $lang['Viewing_profile'];
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

include_once($phpbb_root_path . 'includes/bbcode.'.$phpEx);
$infos = (  $profiledata['user_infos'] != '' ) ? $profiledata['user_infos'] : '';
$infos_bbcode_uid = $profiledata['user_infos_bbcode_uid'];
if ( $board_config['allow_bbcode'] )
{
        if ( $infos != '' && $infos_bbcode_uid != '' )
        {
                $infos = ( $board_config['allow_bbcode'] ) ? bbencode_second_pass($infos, $infos_bbcode_uid) : preg_replace('/\:[0-9a-z\:]+\]/si', ']', $infos);
        }
}
if ( $infos != '' )
{
        $infos = make_clickable($infos);
}
if ( $board_config['allow_smilies'] )
{
        if ( $profiledata['user_allowsmile'] && $infos != '' )
        {
                $infos = smilies_pass($infos);
        }
}
if ( $infos != '' )
{
        $infos = str_replace("\n", "\n<br />\n", $infos);
}

// Start add - Online/Offline/Hidden Mod
if ($profiledata['user_session_time'] >= (time()-$board_config['online_time']))
{
	if ($profiledata['user_allow_viewonline'])
	{
		$online_status_img = '<a href="' . append_sid("viewonline.$phpEx") . '"><img src="' . $images['icon_online'] . '" alt="' . sprintf($lang['is_online'], $profiledata['username']) . '" title="' . sprintf($lang['is_online'], $profiledata['username']) . '" /></a>';
		$online_status = '<strong><a href="' . append_sid("viewonline.$phpEx") . '" title="' . sprintf($lang['is_online'], $profiledata['username']) . '"' . $online_color . '>' . $lang['Online'] . '</a></strong>';
	}
	else if ($userdata['user_level'] == ADMIN || $userdata['user_id'] == $profiledata['user_id'])
	{
		$online_status_img = '<a href="' . append_sid("viewonline.$phpEx") . '"><img src="' . $images['icon_hidden'] . '" alt="' . sprintf($lang['is_hidden'], $profiledata['username']) . '" title="' . sprintf($lang['is_hidden'], $profiledata['username']) . '" /></a>';
		$online_status = '<strong><em><a href="' . append_sid("viewonline.$phpEx") . '" title="' . sprintf($lang['is_hidden'], $profiledata['username']) . '"' . $hidden_color . '>' . $lang['Hidden'] . '</a></em></strong>';
	}
	else
	{
		$online_status_img = '<img src="' . $images['icon_offline'] . '" alt="' . sprintf($lang['is_offline'], $profiledata['username']) . '" title="' . sprintf($lang['is_offline'], $profiledata['username']) . '" />';
		$online_status = '<span title="' . sprintf($lang['is_offline'], $profiledata['username']) . '"' . $offline_color . '><strong>' . $lang['Offline'] . '</strong></span>';
	}
}
else
{
	$online_status_img = '<img src="' . $images['icon_offline'] . '" alt="' . sprintf($lang['is_offline'], $profiledata['username']) . '" title="' . sprintf($lang['is_offline'], $profiledata['username']) . '" />';
	$online_status = '<span title="' . sprintf($lang['is_offline'], $profiledata['username']) . '"' . $offline_color . '><strong>' . $lang['Offline'] . '</strong></span>';
}
// End add - Online/Offline/Hidden Mod

display_upload_attach_box_limits($profiledata['user_id']);

if (function_exists('get_html_translation_table'))
{
	$u_search_author = urlencode(strtr($profiledata['username'], array_flip(get_html_translation_table(HTML_ENTITIES))));
}
else
{
	$u_search_author = urlencode(str_replace(array('&amp;', '&#039;', '&quot;', '&lt;', '&gt;'), array('&', "'", '"', '<', '>'), $profiledata['username']));
}

$user_abs_txt = smilies_pass_2($profiledata['user_absence_text']);

/*********************/
$sql = "SELECT user_id FROM " . USERS_TABLE . "
	WHERE user_id < " . (int) $HTTP_GET_VARS[POST_USERS_URL] . "
		AND user_id > " . ANONYMOUS . "
		AND user_active = " . true . "
	ORDER BY user_id DESC
	LIMIT 1";
if (!($result = $db->sql_query($sql)))
{
	message_die(GENERAL_MESSAGE, $lang['No_user_id_specified']);
}
//echo "Hallo";
//$found_user = $db_numrows($result);
echo "userID: ".$row['user_id']."<br>";
$found_user = $db->sql_numrows($result);
echo "Founduser: ".$found_user;
if ($found_user)
{
	$template->assign_vars(array(
		'L_PREV_USER' => $lang['definiere_text_vorheriges_profil'],
		'U_PREV_USER' => append_sid("profile.$phpEx?mode=viewprofile&".POST_USER_URL."=".$row['user_id']))
	);
}
$db->sql_freeresult($result);

$sql = "SELECT user_id FROM " . USERS_TABLE . "
	WHERE user_id > " . (int) $HTTP_GET_VARS[POST_USERS_URL] . "
		AND user_active = " . true . "
	ORDER BY user_id ASC
	LIMIT 1";
if (!($result = $db->sql_query($sql)))
{
	message_die(GENERAL_MESSAGE, $lang['No_user_id_specified']);
}

$found_user = $db->sql_numrows($result);
//$found_user = $db_numrows($result);
if ($found_user)
{
	$template->assign_vars(array(
		'L_NEXT_USER' => $lang['definiere_text_naechstes_profil'],
		'U_NEXT_USER' => append_sid("profile.$phpEx?mode=viewprofile&".POST_USER_URL."=".$row['user_id']))
	);
}
$db->sql_freeresult($result);

/***********************/

$template->assign_vars(array(
	'USERNAME' => $profiledata['username'],
	//'JOINED' => create_date($lang['DATE_FORMAT'], $profiledata['user_regdate'], $board_config['board_timezone']),
	'JOINED' => create_date($lang['JOINED_DATE_FORMAT'], $profiledata['user_regdate'], $board_config['board_timezone']),
	'POSTER_RANK' => $poster_rank,
	'RANK_IMAGE' => $rank_image,
	'POSTS_PER_DAY' => $posts_per_day,
	'POSTS' => $profiledata['user_posts'],
	'UPLOADED_PICTURES' => $user_album_pics,
	'PERCENTAGE' => $percentage . '%', 
	'POST_DAY_STATS' => sprintf($lang['User_post_day_stats'], $posts_per_day), 
	'POST_PERCENT_STATS' => sprintf($lang['User_post_pct_stats'], $percentage), 

	'SEARCH_IMG' => $search_img,
	'SEARCH' => $search,
	'PM_IMG' => $pm_img,
	'PM' => $pm,
	'EMAIL_IMG' => $email_img,
	'EMAIL' => $email,
	// first email protection Mod - Start
	'FIRST_EMAIL_ADDRESS' => $profiledata['user_first_email'],
	'CURRENT_EMAIL_ADDRESS' => $profiledata['user_email'],
	'L_FIRST_EMAIL_ADDRESS' => $lang['first_email'],
	'L_CURRENT_EMAIL_ADDRESS' => $lang['current_email'],
	// first email protection Mod - End
	'WWW_IMG' => $www_img,
	'WWW' => $www,
	'BUDDY_IMG' => $buddy_img,
	'BUDDY' => $buddy,
	
	'ICQ_STATUS_IMG' => $icq_status_img,
	'ICQ_IMG' => $icq_img, 
	'ICQ' => $icq, 
	'AIM_IMG' => $aim_img,
	'AIM' => $aim,
	'MSN_IMG' => $msn_img,
	'MSN' => $msn,
	
	'IMAGE_SKYPE' => $image_skype,
	'SKYPE_USER' => $skype_user,	
	'SKYPE_IMG' => $skype_img,
	'SKYPE' => $skype,
	'YIM_IMG' => $yim_img,
	'YIM' => $yim,
	// Profile views MOD, By Manipe (Begin)
	'L_PROFILE_VIEWS' => $lang['Profile_views'],
	'PROFILE_VIEWS' => $total_profile_views,
// Profile views MOD, By Manipe (End)
	//'USER_ONLINE' => $on_off_hidden,
   'LAST_ONLINE' => $last_online,

	'LOCATION' => ( $profiledata['user_from'] ) ? $profiledata['user_from'] : '&nbsp;',
	'OCCUPATION' => ( $profiledata['user_occ'] ) ? $profiledata['user_occ'] : '&nbsp;',
	'INTERESTS' => ( $profiledata['user_interests'] ) ? $profiledata['user_interests'] : '&nbsp;',
	'POSTER_UIN' => ( $profiledata['user_id']-1 ) ? $profiledata['user_id']-1 : '&nbsp;',
	'INFO_1' => ( $profiledata['user_info_1'] ) ? $profiledata['user_info_1'] : '&nbsp;',
	'L_INFO_1' => $lang['Info_1'],
	'INFO_2' => ( $profiledata['user_info_2'] ) ? $profiledata['user_info_2'] : '&nbsp;',
	'L_INFO_2' => $lang['Info_2'],
	'INFOS' => $infos,
	'L_SIGNATURE' => $lang['Signature'],
    'USER_SIG' => $user_sig,
	// Start add - Gender MOD
'GENDER' => $gender, 
// End add - Gender MOD
	// Start add - Birthday MOD
	'BIRTHDAY' => $user_birthday,
	'POSTER_AGE' => $userbirthdate,
// End add - Birthday MOD

	'AVATAR_IMG' => $avatar_img,

	'L_VIEWING_PROFILE' => sprintf($lang['Viewing_user_profile'], $profiledata['username']), 
	'L_ABOUT_USER' => sprintf($lang['About_user'], $profiledata['username']), 
	'L_AVATAR' => $lang['Avatar'], 
	'L_POSTER_RANK' => $lang['Poster_rank'],
	
	//'L_ONLINE_STATUS' => $lang['Online_status'],     --- bereits durch andren mod vorhanden
   'L_LAST_ONLINE' => $lang['Last_online'],
	 
	'L_JOINED' => $lang['Joined'], 
	'L_MEMBER_NO' => $lang['Member_No'],
	'L_TOTAL_POSTS' => $lang['Total_posts'], 
	'L_UPLOADED_PICTURES' => $lang['Pics_of_User'],
	'L_SEARCH_USER_POSTS' => sprintf($lang['Search_user_posts'], $profiledata['username']), 
	'L_CONTACT' => $lang['Contact'],
	
	'L_EMAIL_ADDRESS' => ( $profiledata['user_absence'] == TRUE ) ? $lang['User_absence'] : $lang['Email_address'],
	'L_EMAIL' => ( $profiledata['user_absence'] == TRUE ) ? $lang['User_absence'] : $lang['Email'],
	'L_PM' => ( $profiledata['user_absence'] == 0 || allow_send_to_absent() == TRUE ) ? $lang['Private_Message'].':' : '',
	'L_ABSENCE' => ( $profiledata['user_absence'] == TRUE ) ? $lang['User_absence_text'] : '',
	'ABSENCE_MODE' => $absence_mode, 
	'ABSENCE_MESSAGE' => ( $profiledata['user_absence'] == TRUE ) ? $user_abs_txt : '',
	
	'L_ICQ_NUMBER' => $lang['ICQ'],
	'L_YAHOO' => $lang['YIM'],
	'L_AIM' => $lang['AIM'],
	'L_MESSENGER' => $lang['MSNM'],
	'L_SKYPE' => $lang['skype'],
	'L_WEBSITE' => $lang['Website'],
	'L_BUDDY' => $lang['Buddy'],
	'L_LOCATION' => $lang['Location'],
	'L_OCCUPATION' => $lang['Occupation'],
	'L_INTERESTS' => $lang['Interests'],
	'U_EDIT_PROFILE' => append_sid('profile.'.$phpEx.'?mode=editprofile'), 
'L_EDIT_PROFILE' => $lang['Edit_own_profile'],
	'L_INFOS' => $lang['Infos'],
	// Start add - Online/Offline/Hidden Mod
	'ONLINE_STATUS_IMG' => $online_status_img,
	'ONLINE_STATUS' => $online_status,
	'L_ONLINE_STATUS' => $lang['Online_status'],
	// End add - Online/Offline/Hidden Mod
	// Start add - Gender MOD
'L_GENDER' => $lang['Gender'], 
// End add - Gender MOD
	// Start add - Birthday MOD
	'L_BIRTHDAY' => $lang['Birthday'],
// End add - Birthday MOD

	'U_SEARCH_USER' => append_sid("search.$phpEx?search_author=" . $u_search_author),
	// Photo Album Addon v2.x.x by Smartor
	'U_PERSONAL_GALLERY' => append_sid("album_personal.$phpEx?user_id=" . $profiledata['user_id']),
	'L_PERSONAL_GALLERY' => sprintf($lang['Personal_Gallery_Of_User'], $profiledata['username']),

	'S_PROFILE_ACTION' => append_sid("profile.$phpEx"))
);

if (( $profiledata['user_viewemail'] != 0) || ($userdata['user_level'] == ADMIN ))
{	
	$template->assign_block_vars('switch_showemail',array());
}
if ($profiledata['user_msnm'] != '')
{	
	$template->assign_block_vars('switch_showmsnm',array());
}
if ($profiledata['user_yim'] != '')
{	
	$template->assign_block_vars('switch_showyahoo',array());
}
if ($profiledata['user_aim'] != '')
{	
	$template->assign_block_vars('switch_showaim',array());
}
if ($profiledata['user_icq'] != '')
{	
	$template->assign_block_vars('switch_showicq',array());
}
if ($profiledata['user_from'] != '')
{	
	$template->assign_block_vars('switch_showuserfrom',array());
}
if ($profiledata['user_website'] != '')
{	
	$template->assign_block_vars('switch_showwebsite',array());
}
if ($profiledata['user_occ'] != '')
{	
	$template->assign_block_vars('switch_showocupation',array());
}
if ($profiledata['user_interests'] != '')
{	
	$template->assign_block_vars('switch_showinterests',array());
}

if ($profiledata['user_skype'] != '')
{	
	$template->assign_block_vars('switch_showskype',array());
}

if ($profiledata['user_infos'] != '')
{	
	$template->assign_block_vars('switch_user_infos',array());
}

if ($profiledata['user_info_1'] != '')
{	
	$template->assign_block_vars('switch_user_info_1',array());
}

if ($profiledata['user_info_2'] != '')
{	
	$template->assign_block_vars('switch_user_info_2',array());
}




get_buddies($profiledata);
//get_buddies_list($profiledata);

if ( $profiledata['user_id'] == $userdata['user_id'] ) 
{ 
$template->assign_block_vars('switch_edituserprofile', array()); 
}



//if( $userdata['user_level'] == ADMIN )
//{
	if ( member_of('79', $userdata) &&  $selbe_group_vorhanden == 1 ){
//echo "hallo: ".$profiledata['user_id'];  OK! ID vom anderen User
        $template->assign_block_vars('switch_certain_users', array() );
	}	
//}

//
// Group Icons MOD - Start
//
if ($userdata['user_showgroupicons']) 
{ 
	$template->assign_vars(array(
		'L_CURRENT_MEMBERSHIPS' => $lang['Current_memberships'],
		'GROUP_ICONS' => $images_group_icons )
	);
	$template->assign_block_vars('switch_showgroupicons', array() ); 
}
//
// Group Icons MOD - End
//

$template->pparse('body');

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);

?>